# Return Sitejet domains

This function returns the Sitejet domains' information for the cPanel account.

Endpoint: GET /Sitejet/get_all_user_sitejet_info
Version: 11.136.0.13
Security: BasicAuth

## Query parameters:

  - `domain` (string)
    The single domain to return Sitejet information.
    Example: "example.com"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "get_all_user_sitejet_info"

  - `module` (string)
    The name of the module called.
    Example: "Sitejet"

  - `result` (object)

  - `result.data` (array)

  - `result.data.domain` (string)
    The name of the cPanel user's domain.
    Example: "example.com"

  - `result.data.metadata` (object)

  - `result.data.metadata.company` (string)
    The website's comapany.
    Example: "cPanel"

  - `result.data.metadata.cpanelDomainGUID` (string)
    The cPanel user's domain.
    Example: "example.com"

  - `result.data.metadata.fullcms` (any)
    Whether the full Sitejet Content Management System is enabled.
* 1 - Full CMS is enabled.
* 0 - Full CMS is disabled.
    Enum: 1, 0

  - `result.data.metadata.language` (string)
    The language selection for the Sitejet Content Management System.
    Example: "en"

  - `result.data.metadata.latest_publish_date` (integer)
    The last successful publication of the Sitejet domain in Unix time format.

  - `result.data.metadata.publish_status` (integer)
    Whether the Sitejet domain is published.
* 1 - Website is published.
* 0 - Website is not published.
    Enum: 1, 0

  - `result.data.metadata.websiteId` (integer)
    The website ID of the created website.
    Example: 444444

  - `result.data.quota` (object)

  - `result.data.quota.available_space` (integer)
    The amount of space available in megabytes (MB).
    Example: 1024

  - `result.data.quota.can_backup` (any)
    Whether the document root has enough space to make a backup.
* 1 - There is enough space.
* 0 - There is not enough space.
    Enum: 1, 0

  - `result.data.quota.is_empty_docroot` (any)
    Whether the document root is empty.
* 1 - Document root is empty.
* 0 - Document root is not empty.
    Enum: 1, 0

  - `result.data.quota.required_space` (integer)
    The amount of space required in megabytes (MB) for a document root backup.
    Example: 64

  - `result.data.redirection_enabled` (integer)
    Whether the domain redirects to another URL.
* 1 - Redirects.
* 0 - Doesn't redirect.
    Enum: 1, 0

  - `result.data.shared_doc_root` (integer)
    whether the sitejet domain is sharing the document_root.
* 1 - document_root is shared.
* 0 - document_root is not shared.
    Enum: 1, 0

  - `result.data.is_restore_point_available` (integer)
    Whether the sitejet domain has a restore point.
* 1 – Restore point is available.
* 0 – Restore point is not available.
    Enum: 1, 0

  - `result.data.is_temporary_domain` (integer)
    Whether the domain is a temporary domain (for example, cpanel.site).
* 1 – Domain is a temporary domain.
* 0 – Domain is not a temporary domain.
    Enum: 1, 0

  - `result.data.status` (object)

  - `result.data.status.has_sitejet_published` (integer)
    Whether the Sitejet website is published.
* 1 - Sitejet website is published.
* 0 - Sitejet website is not published.
    Enum: 1, 0

  - `result.data.status.has_sitejet_website` (integer)
    Whether the domain's document root diretory contains a Sitejet directory.
* 1 - User has created a Sitejet website.
* 0 - User has not created a Sitejet website.
    Enum: 1, 0

  - `result.data.status.is_sitejet` (integer)
    Whether the domain's document root diretory's index.html file contains Sitejet deployed content.
* 1 - User has a Sitejet website.
* 0 - User does not have a Sitejet website.
    Enum: 1, 0

  - `result.data.status.ssl_status` (integer)
    Whether the domain has a valid SSL certificate.
* 1 - Domain has a valid SSL certificate.
* 0 - Domain does not have a valid SSL certificate or certificate is invalid.
    Enum: 1, 0

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.metadata.is_beta` (integer)
    Whether the server has access to beta features of the Sitejet Builder.
    Enum: 1, 0

  - `result.status` (integer)
    - 1 - Success.
- 0 - Failed: Check the errors field for more details.
    Enum: 1, 0

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running an API.


